<?php
// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit; // Prevent direct access to the file.
}

// Check if the class already exists to avoid redeclaration.
if (!class_exists('IAFWZCAI_Id_Mapping')) {
    class IAFWZCAI_Id_Mapping
    {
        // Return the map of plugin IDs and their corresponding names
        public function get_plugin_id_map()
        {
            return [
                1 => 'Contact Form 7',
                2 => 'WP Forms',
                3 => 'Gravity Forms',
                4 => 'Ninja Forms',
                5 => 'Formidable Forms',
                6 => 'Everest Forms',
                7 => 'Elementor Form'
            ];
        }

        // Get plugin name by its ID
        public function get_plugin_name_by_id($plugin_id)
        {
            $name_map = $this->get_plugin_id_map();
            return $name_map[$plugin_id] ?? null;  // Return null if not found
        }
    }
    $IAFWZCAI_Id_MappingInstance = new IAFWZCAI_Id_Mapping();
}
